Subject: [PATCH] ARM: Add support for LPAE style CONTEXTIDR

From: [email-masked] (Christopher Covington)
Date: Wed, 26 Jun 2013 14:02:12 -0400

On 06/26/2013 01:11 PM, Will Deacon wrote:
> On Mon, Jun 24, 2013 at 04:15:06PM +0100, Christopher Covington wrote:
>> On 06/24/2013 10:53 AM, Will Deacon wrote:
>>> On Mon, Jun 24, 2013 at 03:39:09PM +0100, Christopher Covington wrote:
>>>> Hi Will,
>>>>
>>>> On 06/24/2013 10:04 AM, Will Deacon wrote:
>>>> [...]
>>>>
>>>>> What's the advantage of this approach, other than you get an extra byte's
>>>>> worth of PID?
>>>>
>>>> In my view, the real advantage is that the the PID is located where people
>>>> reading ARM Architecture Reference Manual are told they can find it.
>>>
>>> Perhaps, but I'd usually expect a debugger or trace tools to do something
>>> with the PID, and they likely expect it to be shifted, so you can't really
>>> win.
>>
>> But reading and implementing the architecture *is* winning! LOL. I'll file a
>> ticket with the architecture folks and see what they think.
> 
> ...aaand that came full circle :)
> 
> I think the conclusion is that Linux PID != CONTEXTIDR.PROCID.

Fair enough. What would you think then of configuration options to write other
identifiers like the process group ID to the PROCID field?

> I'm just trying to keep it easy for the tools.

What tools exactly? The ones I've been working with are software model plugins
supporting AArch32 and AArch64, which may be very different from the ones
you're concerned about.

Thanks,
Christopher

-- 
Employee of Qualcomm Innovation Center, Inc.
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
hosted by the Linux Foundation.